Bug 1478338 - Astroid new 1.5.3 package containing version 1.5.2
Astroid new 1.5.3 package containing version 1.5.2
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-astroid (Show other bugs)
27
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 07:07 EDT by Jiri Konecny
Modified: 2017-08-15 02:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Konecny 2017-08-04 07:07:10 EDT
Description of problem:

New version of astroid package in rawhide is in version 1.5.3. However, when you look inside of the package you will find this:

/./usr/lib/python2.7/site-packages/astroid-1.5.2-py2.7.egg-info

Similar situation is for F26 package.


Version-Release number of selected component (if applicable):
1.5.3-2.fc27

How reproducible:
Always

Actual results:
python3-astroid 1.5.3 package is installing astroid version 1.5.2.


Expected results:
Package should install the correct version.


Additional info:
Also I'm getting this output from pylint --version:

<mock-chroot> sh-4.4# pylint-3 --version                                                                                                                                                                           
No config file found, using default configuration                                                                                                                                                                  
pylint-3 1.7.1,                                                                                                                                                                                                    
astroid 1.5.2                                                                                                                                                                                                     
Python 3.6.2 (default, Jul 30 2017, 17:42:38)
Comment 1 Jan Kurik 2017-08-15 02:34:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.